yoshimi (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
  * Add patch to fix installation of non-existant file
  * Add explicit salsa-ci configuration
  * Drop obsolete 'Priority: optional' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Feb 2026 19:36:40 +0100

yoshimi (2.3.5.3-1) unstable; urgency=medium

  * New upstream version 2.3.5.3

  * Update copyright information
    + Update copyrights
    + Fix file-pattern for files with spaces
    + Update licensecheck exceptions
    * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Dec 2025 16:47:24 +0100

yoshimi (2.3.5.2-1) unstable; urgency=medium

  * New upstream version 2.3.5.2
  * Update d/watch to version 5
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Sun, 09 Nov 2025 23:57:56 +0100

yoshimi (2.3.5.1-2) unstable; urgency=medium

  * Drop useless B-D on dssi-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Nov 2025 17:44:45 +0100

yoshimi (2.3.5.1-1) unstable; urgency=medium

  * New upstream version 2.3.5.1

 -- Dennis Braun <snd@debian.org>  Thu, 02 Oct 2025 18:45:50 +0200

yoshimi (2.3.5-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.3.4.2

  [ Dennis Braun ]
  * New upstream version 2.3.5
  * Drop metadata patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 28 Sep 2025 20:03:38 +0200

yoshimi (2.3.4.1-2) unstable; urgency=medium

  * Bump B-D on fltk to 1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Aug 2025 18:54:45 +0200

yoshimi (2.3.4.1-1) unstable; urgency=medium

  * New upstream version 2.3.4.1
  * Add patch to improve appstream metainfo
  * Drop obsolete lintian-overrides
  * Update copyright information
    + Update d/copyright
    + Drop removed files from d/copyright
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Aug 2025 12:19:32 +0200

yoshimi (2.3.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3.3
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Mar 2025 23:15:41 +0100

yoshimi (2.3.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.3.2
  * Update copyright information
    + Update d/copyright
    + exclude another binary file from licensecheck
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Dec 2024 20:48:58 +0100

yoshimi (2.3.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.3.1
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:18:19 +0200

yoshimi (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
  * Change B-D from pkg-config to pkgconf
  * Bump d/copyright years
  * Use the default salsa CI/CD configuration

 -- Dennis Braun <snd@debian.org>  Fri, 23 Feb 2024 20:15:11 +0100

yoshimi (2.3.1.3-1) unstable; urgency=medium

  * New upstream version 2.3.1.3
  * d/control: Update homepage to github (Closes: #1054134)

 -- Dennis Braun <snd@debian.org>  Mon, 11 Dec 2023 20:32:19 +0100

yoshimi (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Update copyright information
    + Re-generate d/copyright_hints (with another MIDI file excluded)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Oct 2023 21:25:03 +0200

yoshimi (2.3.0.3-1) unstable; urgency=medium

  * New upstream version 2.3.0.3
  * d/copyright: Remove obsolete Files-Excluded

 -- Dennis Braun <snd@debian.org>  Sun, 06 Aug 2023 22:00:02 +0200

yoshimi (2.3.0.2-1) unstable; urgency=medium

  * New upstream version 2.3.0.2
    + Drop patches applied upstream
  * Update d/copyright
    + Drop repack-suffix again (upstream fixed license issues)
    + Update copyright exclude patterns
    + Update d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2023 09:38:02 +0200

yoshimi (2.3.0+dfsg-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.3.0
  * Refresh patchset, add spelling error patch
  * Prefer libjack-dev over libjack-jackd2-dev

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Exclude non-free files (and add '+dfsg' to the version)
  * Update d/copyright
    * Add some more copyright info and licenses
    * Add 'licensecheck' target (ignoring some binary files)
    * Generate d/copyright_hints
  * Add versionmangling to d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 15:21:14 +0200

yoshimi (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3
  * Change my email address
  * Replace obsolete B-Ds
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years
  * Refresh lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 24 Feb 2023 22:02:23 +0100

yoshimi (2.2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.2.1
    (Closes: #1019471)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Sep 2022 23:39:18 +0200

yoshimi (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Sep 2022 22:10:41 +0200

yoshimi (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Drop patches applied by upstream
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 01 Aug 2022 22:50:32 +0200

yoshimi (2.2.0-2) unstable; urgency=medium

  * Fix ftbfs on riscv64 (Closes: #1011451)

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 25 May 2022 21:47:31 +0200

yoshimi (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Remove dfsg tag, splashreference.svg has been removed by upstream
  * Bump Standards Version to 4.6.1
  * Bump d/copyright years
  * Refresh patchset
  * Refresh lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 May 2022 18:40:03 +0200

yoshimi (2.1.2.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.2.2~dfsg0
  * Update lintian-overrides
  * Fix spelling error
  * Fix d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 05 Dec 2021 00:24:13 +0100

yoshimi (2.1.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Oct 2021 23:43:13 +0200

yoshimi (2.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1~dfsg0

  * autopkgtests
    + Fix superficial test
    + Add proper (non-trivial) test
  * Add salsa-ci configuration
  * Apply 'wrap-and-sort -ast'
  * Add myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Oct 2021 09:52:30 +0200

yoshimi (2.1.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.0~dfsg0
  * Bump Standards-Version to 4.6.0
  * Update patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 24 Aug 2021 23:42:24 +0200

yoshimi (2.0.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.0.2~dfsg0
  * Remove non-existent src/Interface/RingBuffer.cpp from d/copyright
  * Update doc-base, use html manual instead of pdf, for now
  * Update lintian-overrides
  * Remove the cc logo, to fix privacy breach in index.html of doc files

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Aug 2021 20:20:56 +0200

yoshimi (2.0.1~dfsg0-1) experimental; urgency=medium

  * New upstream version 2.0.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 29 Apr 2021 21:32:52 +0200

yoshimi (2.0~dfsg0-1) experimental; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.0~dfsg0
  * Remove unnecessary ldflags from d/rules
  * Bump d/copyright year
  * Update yoshimi.lintian-overrides

  [ Mattia Rizzolo ]
  * Remove unused build-dependency on liboost-dev.

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Mar 2021 22:08:54 +0100

yoshimi (1.7.4~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.4~dfsg0
  * Bump S-V to 4.5.1, no changes needed
  * Add libjack-jackd2-dev as B-D and libjack-dev as optional
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 15 Jan 2021 00:50:50 +0100

yoshimi (1.7.3~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.3~dfsg0
  * Add a superficial autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Nov 2020 23:04:52 +0100

yoshimi (1.7.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.2~dfsg0
  * Drop patch, applied by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 17 Aug 2020 20:38:58 +0200

yoshimi (1.7.1~dfsg0-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix LV2 types (Closes: #960221)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 May 2020 22:32:17 +0200

yoshimi (1.7.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.1~dfsg0
    + Make the package dfsg compatible, strip out a unfree svg
  * Bump dh-compat to 13
  * d/copyright: Update files and years
  * d/upstream/metadata: Provide metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 23:54:37 +0200

yoshimi (1.7.0.1-1) unstable; urgency=medium

  * New upstream version 1.7.0.1
  * d/control:
    + Bump Standards-Version to 4.5.0
    + Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:15:53 +0100

yoshimi (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.7.0
    * Drop patches applied upstream
  * Remove trailing whitespace from d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jan 2020 22:29:27 +0100

yoshimi (1.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.1
  * d/copyright:
    + Change license for desktop/metainfo/* and Util/YoshimiSplash.svg to CC-BY-4.0
  * Fix license name of yoshimi.appdata.xml to make lintian happy

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 Dec 2019 00:41:11 +0100

yoshimi (1.6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Declare that building this package does not require "root" powers

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + add myself)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Nov 2019 11:21:05 +0100

yoshimi (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Olivier Humbert ]
  * Update d/copyright to 2019

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches (and remove those included upstream)
  * Update dependencies
  * Install examples
  * Install all docs
  * Exclude more false-positives from lintian spelling check
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 01 Sep 2019 17:22:18 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog yoshimi`.
